> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-10-3.md).

# Version 6.10.3 Changelog (April 29, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.10.3.70547

Release Date: April 29, 2019

## New features

* New SDK library package `pdftron-collab` for real-time document collaboration, head over to integration guide here: [Realtime Collaboration Setup](/android/collaboration/setup-a.md)
* New SDK library package `pdftron-collab-wvs` for real-time document collaboration with WebViewer Server backend, head over to integration guide here: [Host annotations in your WebViewer Server](/android/collaboration/server-a.md#host-annotations-in-your-webviewer-server)
* New sample project for real-time document collaboration with Firebase backend, head over to the source here: [CollabFirebaseSample](https://github.com/ApryseSDK/pdftron-android-samples/tree/master/CollabFirebaseSample/)
* Cordova native plugin is now available, see [pdftron-cordova](https://github.com/ApryseSDK/pdftron-cordova/)
* Style picker for measurement tools now come with option to snap to points
* Measurement tools now can be found in the annotation toolbar
* Annotation selection box appearance has been improved
* Adds new [Document Collaboration](/android/collaboration/server-a.md#host-annotations-in-your-webviewer-server) showcase sample that will work out of box with the [Web collaboration demo](https://showcase.apryse.com/document-collaboration)

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-0d390945513304033d0d8708b7f640ba962035ed%2Ff4632a0c44dd0c7db3398a66a6ccad6edf8bc28d-540x960.png?alt=media)

## Fixed

* Fixed issue where quick menu overflow menu could be cut off on small devices
* Fixed issue where structural text selection by tap returns incorrect result for some documents
* Fixed issue where custom `ThumbnailSliderStyle` was not applied properly in app theme
* Fixes issue where `ThumbnailSlider` background color could not be changed
* Fixed issue where annotation selection box would overlap the annotation border when user does not have write permission to the annotation
* Fixed issue where in dark mode, text selection color was hard to see
* Fixed a crash that may happen when double tapping on the viewer repeatedly
* Fixed issue where `autoResizeFreeText` was not working properly when text is entered in the dialog instead of inline

## APIs

### Apryse package

#### PDFViewCtrl

*new* method: `PDFDoc openPDFUri(Uri fileUri, String password, String cachePath, HTTPRequestOptions httpRequestOptions)`

### PDFViewCtrlTools package

#### DiffActivity

*new* static method: `void open(Context, int, int)`

#### TextInputDialog

*new* class: `TextInputDialog`

#### TextInputResult

*new* class: `TextInputResult`

#### TextInputViewModel

*new* class: `TextInputViewModel`

#### AnnotStyle

*new* method: `boolean getSnap()`

*new* method: `void setSnap(boolean)`

#### OnAnnotStyleChangeListener

*new* method: `void onChangeSnapping(boolean)`

#### AnnotEdit

*new* method: `void onChangeSnapping(boolean)`

#### AnnotManager

*new* constructor: `AnnotManager(ToolManager, String, String, Bundle, AnnotationSyncingListener)`

*new* constructor: `AnnotManager(ToolManager, String, String, AnnotationSyncingListener)`

*removed* constructor: `AnnotManager(ToolManager, String, Bundle, AnnotationSyncingListener)`

#### AnnotationSyncingListener

*new* method: `void onLocalChange(String, String, String)`

*removed* method: `void onLocalChange(String, String)`

#### StickyNoteCreate

*new* method: `void onChangeSnapping(boolean)`

#### Tool

*new* method: `void setSnappingEnabled(boolean)`

#### ToolManager

*new* method: `void enableAnnotManager(String, String, Bundle, AnnotationSyncingListener)`

*new* method: `void enableAnnotManager(String, String, AnnotationSyncingListener)`

*new* method: `String getAuthorName()`

*new* method: `int getSelectedAnnotPageNum()`

*new* method: `boolean isDeleteEmptyFreeText()`

*new* method: `void setAuthorName(String)`

*new* method: `void setDeleteEmptyFreeText(boolean)`

*removed* method: `void enableAnnotManager(String, Bundle, AnnotationSyncingListener)`

#### AnnotationToolbarListener

*new* method: `void inkEditSelected(Annot)`

*new* method: `void openAnnotationToolbar(ToolMode)`

*new* method: `void openEditToolbar(ToolMode)`

*removed* method: `void onInkEditSelected(Annot)`

*removed* method: `void onOpenAnnotationToolbar(ToolMode)`

*removed* method: `void onOpenEditToolbar(ToolMode)`

#### AnnotUtils

*new* static method: `Annot createAnnotationReply(String, int, PDFViewCtrl, String, String)`

*new* static method: `void deleteAnnotationReply(String, int, PDFViewCtrl, ToolManager)`

*new* static method: `boolean hasInReplyTo(Annot)`

*new* static method: `void setDateToNow(PDFViewCtrl, Annot)`

*new* static method: `Annot updateAnnotationReply(String, int, PDFViewCtrl, ToolManager, String)`

#### PdfViewCtrlSettingsManager

*new* static method: `boolean getShowAnnotationIndicator(Context, boolean)`

#### TextInputViewModel

*new* class: `TextInputViewModel`

### pdftron-collab package

#### CollabViewerBuilder

*new* class: `CollabViewerBuilder`

#### CollabViewerTabFragment

*new* class: `CollabViewerTabFragment`

#### CollabViewerTabHostFragment

*new* class: `CollabViewerTabHostFragment`

#### ReplyFragment

*new* class: `ReplyFragment`

#### BottomSheetReplyFragment

*new* class: `BottomSheetReplyFragment`

#### AnnotationEntity

*new* class: `AnnotationEntity`

#### DocumentEntity

*new* class: `DocumentEntity`

#### LastAnnotationEntity

*new* class: `LastAnnotationEntity`

#### ReplyEntity

*new* class: `ReplyEntity`

#### UserEntity

*new* class: `UserEntity`

#### CollabDatabase

*new* class: `CollabDatabase`

#### CustomService

*new* interface: `CustomService`

#### AnnotationViewModel

*new* class: `AnnotationViewModel`

#### DocumentViewModel

*new* class: `DocumentViewModel`

#### ReplyViewModel

*new* class: `ReplyViewModel`

#### DataRepository

*new* class: `DataRepository`

### pdftron-collab-wvs package

#### BlackBoxConnection

*new* class: `BlackBoxConnection`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-10-3.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
